package com.ruoyi.project.business.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tp_parabar_detail_value
 * 
 * @author ruoyi
 * @date 2024-04-28
 */
@Data
public class TpParabarDetailValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    private Long parabarId;

    /** 参数包ID */
    @Excel(name = "参数包ID")
    private Long parabarDetailId;

    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paraCode;

    /** 参数值 */
    @Excel(name = "参数值")
    private String paraValue;

    private String paraId;
    private String paraCategory;
    private String inputType;
    private String paraName;
    private String paraNameUS;
    private String paraNameRU;
    private String paraNameES;

    /** 状态（0：启用  1：停用） */
    @Excel(name = "状态", readConverterExp = "0=：启用,1=：停用")
    private String status;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parabarDetailId", getParabarDetailId())
            .append("paraCode", getParaCode())
            .append("paraValue", getParaValue())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
